Bug 836565 - Mutter not working on llvmpipe with Xvnc
Summary: Mutter not working on llvmpipe with Xvnc
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: 17
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-29 14:19 UTC by Aaron Sowry
Modified: 2013-08-01 08:24 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-08-01 08:24:04 UTC


Attachments (Terms of Use)

Description Aaron Sowry 2012-06-29 14:19:26 UTC
Description of problem:
Mutter does not start inside an Xvnc session

Version-Release number of selected component (if applicable):
mutter-3.4.1-3.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Start Xvnc session (in this case, with just an xterm active)
2. Attempt to run "mutter"
  
Actual results:
Mutter fails with the following message:

Window manager warning: Log level 16: The program 'mutter' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadRequest (invalid request code or no such operation)'.
  (Details: serial 245 error_code 1 request_code 145 minor_code 25)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the GDK_SYNCHRONIZE environment
   variable to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)


Additional info:
$ glxinfo | grep render
direct rendering: Yes
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 0x300)

Running, for example, glxgears works as expected. The Xvnc server in question is from the TigerVNC project, underlying X server release 10503000.

Comment 1 Fedora End Of Life 2013-07-04 02:27:29 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2013-08-01 08:24:08 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.